Sfoglia il riferimento
Tutte le risorse
Contrassegni delle transazioni
2 endpoint · Le descrizioni degli endpoint sono in inglese.
List the household colour flags (six built-ins, created on first read), by position
GET
/households/{householdId}/transaction-flagsread:transactions
Richiesta di esempio
bash
curl -H "Authorization: Bearer vokse_sk_…" \ -X GET https://api.vokse.ai/households/current/transaction-flagsRisposta200 · Success
Rename a flag for the whole household; name null (or blank) restores the default name
PATCH
/households/{householdId}/transaction-flags/{flagId}write:transactions
Parametri
| Nome | Posizione | Obbligatorio |
|---|---|---|
| flagId | path | Obbligatorio |
Corpo della richiesta
json
{ "name": "Reimburse"}Richiesta di esempio
bash
curl -H "Authorization: Bearer vokse_sk_…" \ -H "Content-Type: application/json" \ -H "Idempotency-Key: $(uuidgen)" \ -X PATCH https://api.vokse.ai/households/current/transaction-flags/{flagId} \ -d '{"name":"Reimburse"}'Risposta200 · Success